/* 
============================================================
Modal gallery
============================================================ 
*/

.modal {
  display: none; /* Hidden by default */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.85); /* Dimmed backdrop */
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.modal-content {
  max-width: 80%;
  max-height: 80%;
  border-radius: 4px;
  animation: zoomIn 0.3s ease; /* Smooth pop-in effect */
}
/* Image Caption text */
#caption {
  color: #fff;
  margin-top: 15px;
  font-family: sans-serif;
}

/* Close Button (X) */
.close-btn {
  position: absolute;
  top: 20px;
  right: 35px;
  color: #fff;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
}

.fwd_btn {
  position: absolute;
  top: 320px;
  right: 35px;
  color: #fff;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
  user-select: none;
}

.back_btn {
  position: absolute;
  top: 320px;
  left: 35px;
  color: #fff;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
  user-select: none;
}

/* Zoom animation */
@keyframes zoomIn {
  from { transform: scale(0.7); opacity: 0; }
  to { transform: scale(1); opacity: 1; }
}